## LOC Set Operation Mode request

LOC Set Operation Mode request

## Functions

QmiMessageLocSetOperationModeInput * | qmi_message_loc_set_operation_mode_input_new ()
QmiMessageLocSetOperationModeInput * | qmi_message_loc_set_operation_mode_input_ref ()
void | qmi_message_loc_set_operation_mode_input_unref ()
gboolean | qmi_message_loc_set_operation_mode_input_get_operation_mode ()
gboolean | qmi_message_loc_set_operation_mode_input_set_operation_mode ()
QmiMessageLocSetOperationModeOutput * | qmi_message_loc_set_operation_mode_output_ref ()
void | qmi_message_loc_set_operation_mode_output_unref ()
gboolean | qmi_message_loc_set_operation_mode_output_get_result ()
void | qmi_client_loc_set_operation_mode ()
QmiMessageLocSetOperationModeOutput * | qmi_client_loc_set_operation_mode_finish ()

## Types and Values

| QmiMessageLocSetOperationModeInput
| QmiMessageLocSetOperationModeOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageLocSetOperationModeInput
        ╰── QmiMessageLocSetOperationModeOutput

## Description

## Functions

### qmi_message_loc_set_operation_mode_input_new ()

    QmiMessageLocSetOperationModeInput *
    qmi_message_loc_set_operation_mode_input_new
                                   (void);

Allocates a new QmiMessageLocSetOperationModeInput.

#### Returns

the newly created QmiMessageLocSetOperationModeInput. The returned value should be freed with `qmi_message_loc_set_operation_mode_input_unref()`.

Since: 1.22

### qmi_message_loc_set_operation_mode_input_ref ()

    QmiMessageLocSetOperationModeInput *
    qmi_message_loc_set_operation_mode_input_ref
                                   (QmiMessageLocSetOperationModeInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageLocSetOperationModeInput. |

#### Returns

the new reference to `self` .

Since: 1.22

### qmi_message_loc_set_operation_mode_input_unref ()

    void
    qmi_message_loc_set_operation_mode_input_unref
                                   (QmiMessageLocSetOperationModeInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageLocSetOperationModeInput. |

Since: 1.22

### qmi_message_loc_set_operation_mode_input_get_operation_mode ()

    gboolean
    qmi_message_loc_set_operation_mode_input_get_operation_mode
                                   (QmiMessageLocSetOperationModeInput *self,
                                    QmiLocOperationMode *value_operation_mode,
                                    GError **error);

Get the 'Operation Mode' field from `self` .

#### Parameters

self | a QmiMessageLocSetOperationModeInput. |
value_operation_mode | a placeholder for the output QmiLocOperationMode, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_message_loc_set_operation_mode_input_set_operation_mode ()

    gboolean
    qmi_message_loc_set_operation_mode_input_set_operation_mode
                                   (QmiMessageLocSetOperationModeInput *self,
                                    QmiLocOperationMode value_operation_mode,
                                    GError **error);

Set the 'Operation Mode' field in the message.

#### Parameters

self | a QmiMessageLocSetOperationModeInput. |
value_operation_mode | a QmiLocOperationMode. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.22

### qmi_message_loc_set_operation_mode_output_ref ()

    QmiMessageLocSetOperationModeOutput *
    qmi_message_loc_set_operation_mode_output_ref
                                   (QmiMessageLocSetOperationModeOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageLocSetOperationModeOutput. |

#### Returns

the new reference to `self` .

Since: 1.22

### qmi_message_loc_set_operation_mode_output_unref ()

    void
    qmi_message_loc_set_operation_mode_output_unref
                                   (QmiMessageLocSetOperationModeOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageLocSetOperationModeOutput. |

Since: 1.22

### qmi_message_loc_set_operation_mode_output_get_result ()

    gboolean
    qmi_message_loc_set_operation_mode_output_get_result
                                   (QmiMessageLocSetOperationModeOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageLocSetOperationModeOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.22

### qmi_client_loc_set_operation_mode ()

    void
    qmi_client_loc_set_operation_mode (QmiClientLoc *self,
                                       QmiMessageLocSetOperationModeInput *input,
                                       guint timeout,
                                       GCancellable *cancellable,
                                       GAsyncReadyCallback callback,
                                       gpointer user_data);

Asynchronously sends a Set Operation Mode request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_loc_set_operation_mode_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientLoc. |
input | a QmiMessageLocSetOperationModeInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.22

### qmi_client_loc_set_operation_mode_finish ()

    QmiMessageLocSetOperationModeOutput *
    qmi_client_loc_set_operation_mode_finish
                                   (QmiClientLoc *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_loc_set_operation_mode()`.

#### Parameters

self | a QmiClientLoc. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_loc_set_operation_mode()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageLocSetOperationModeOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_loc_set_operation_mode_output_unref()`.

Since: 1.22

## Types and Values

### QmiMessageLocSetOperationModeInput

    typedef struct _QmiMessageLocSetOperationModeInput QmiMessageLocSetOperationModeInput;

The QmiMessageLocSetOperationModeInput structure contains private data and should only be accessed using the provided API.

Since: 1.22

### QmiMessageLocSetOperationModeOutput

    typedef struct _QmiMessageLocSetOperationModeOutput QmiMessageLocSetOperationModeOutput;

The QmiMessageLocSetOperationModeOutput structure contains private data and should only be accessed using the provided API.

Since: 1.22